Unreal editor error on load megascans plugin module

Installation Installer 3D Model Import Unreal

 

Hello,

I have this error after install megascans plugin:

The error language is in spanish, it says: "Fail to load plugin MegascansPlugin because cannot found module 'MegascansPlugin'. Please be sure that the plugin is correctly installed, instead consider to desactivate in this project"

I try different ways to install like as shown on the aximmetry wiki (manual and from bridge), and same problem.

I try to uninstall Unreal editor and install again and no results.

I install regular unreal from epic games launcher and megascans works perfect. But that's not useful for me.

After the error, the program crashes, then i have to delete the plugin from the plugins folder if i want to work with unreal editor again.

Any ideas?

Thanks in advance!

   CYMATIC

 
Profile Image
Rafaelaz
2/23/2021 6:29:23 PM
  -  

Yes, I have the same problem.

 
Profile Image
TwentyStudios
2/24/2021 7:22:41 AM
  -  

There is nothing wrong with the software. You just need to follow the instructions carefully to install plug-ins to the Aximmetry UE4 editor: https://aximmetry.com/wiki/index.php?title=How_to_Install_Third-Party_Code_Plugins_From_the_Unreal_Engine_Marketplace

 
Profile Image
CYMATIC
2/26/2021 8:41:43 AM
  -  

Hi Rafaelaz & TwentyStudios, finally i found the solution.

Initially it was a problem with my software, but not with unreal. The problem was on Visual Studio, for some reason, the installation not installed properly the ".NET Framework SDK"

The solution is easy: Open visual studio installer -> select Modify -> Click on Individual components tag -> find .NET framework sdk and select all versions (just for sure).

Then the plugin installer from unreal works perfect!

I hope that can help others in that great community!

 
Profile Image
Rafaelaz
2/26/2021 11:31:39 PM
  -  

CYMATIC I did that you told me but i have the same problem


 
Profile Image
CYMATIC
3/1/2021 7:59:48 AM
  -  

Hi Rafaelaz,

I supose that you have normal unreal editor, installed directly from Epic games launcher. Is there where you have to install megascans bridge. Then open Unreal for aximmetry and run the install plugin script. (see the pic below)


Note that, you have to delete the Megascans folder on your unreal editor for aximmetry before do that.


Hope this work for you too!


 
Profile Image
Rafaelaz
3/4/2021 6:09:00 PM
  -  

Thank you Cymatic but now I have that error. My folder is  C:\Program Files\Aximmetry DE\UnrealEngine\Engine\Plugins

Thanks.


 
Profile Image
CYMATIC
3/5/2021 7:50:44 AM
  -  

Hi Rafaelaz

Like TwentyStudios appont before is important to follow instructions carefully, i made this mistakes before, maybe you too.

Follow this instructions carefully, for me works:

Install epic games launcher

Install unreal engine 4.25 (from epic games launcher)

install unreal engine for aximmetry 4.25 (from axymmetry website)

install Visual Studio 2019 Community edition (make sure the sdk framework's are installed)

Install bridge megascans

Install megascans plugin on Unreal engine 4.25 folder (!From Epic Games!) (normaly on this route: C:\Program Files\Epic Games\UE_4.25\Engine\Plugins)

Open Unreal engine for aximmetry 4.25

Run Install plugins Script


Please, try again following this instructions and should be work for you.


 
Profile Image
CYMATIC
3/5/2021 9:26:25 AM
  -  

And if this doesn't work, try to install net framework manually. You can download on this link:

https://www.microsoft.com/es-es/download/details.aspx?id=21


 
Profile Image
Rafaelaz
3/26/2021 10:41:00 AM
  -  

Thanks Cymatic. I'm removing all UE versions right now and Aximmetry and re-installing and I fixes the problem

 
Profile Image
Mehdicrt
11/16/2021 3:33:18 PM
  -  

Hi All,

I did same steps and also removed all UE Original and UE Aximmetry and got same error.

Please can someone help